Subject: Re: bug#21521: 24.5; pdb default suggested command

From: Stefan Kangas <[email-masked]>
Date: Thu, 11 Jul 2019 06:08:21 +0200

tags 21521 + patch
thanks

Stefano Pacifico <[email-masked]> writes:

> When executing `M-x pdb`, the default suggested command is `pdb`, but I couldn’t
> find any validation that standard Python distributions consistently install a
> symlink to`pdb.py` in any `bin` directory (as in the case of my system OS X
> 10.10.5).
>
> If the default command were `python -m pdb`, it would seemingly be compatible with more systems.

This makes sense, and "python -m pdb" is also the recommended usage on
most resources I've been able to find.  On the system I'm on now, the
pdb command is missing.

But I think it's nice to user the shorter version when it's available,
so I suggest to use "python -m pdb" only as a fallback.

Please see the attached patch which does that.

Thanks,
Stefan Kangas